# class RSS::Maker::RSS20::Items::Item::Enclosure

### Public Instance Methods

to_feed(rss, item) click to toggle source

    # File lib/rss/maker/2.0.rb, line 131
    def to_feed(rss, item)
      enclosure = Rss::Channel::Item::Enclosure.new
      set = setup_values(enclosure)
      if set
        item.enclosure = enclosure
        set_parent(enclosure, item)
        setup_other_elements(rss, enclosure)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 142
    def required_variable_names
      %w(url length type)
    end